# 9.18:  Interpolate missing values in a numeric column.  Use .interpolate() to linearly estimate
# missing values.

import pandas as pd
import numpy as np

df = pd.DataFrame({
    'A': [1, 2, np.nan, 4],
    'B': [5, np.nan, np.nan, 8],
    'C': ['x', 'y', 'z', None]
})

df['A'].interpolate()

